Bug 509282 - Anaconda doesn't seem to provide a way to install GRUB to two disks
Anaconda doesn't seem to provide a way to install GRUB to two disks
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2009-07-01 22:47 EDT by Andrew McNabb
Modified: 2010-02-23 14:09 EST (History)
3 users (show)

See Also:
Fixed In Version: anaconda-13.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-02-23 14:09:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew McNabb 2009-07-01 22:47:13 EDT
I tried installing Fedora 11 with /boot and / on RAID1 devices (with mdadm RAID).  As far as I can tell, Anaconda doesn't provide a way to install GRUB to the MBR on both disks.  Are Anaconda/grub-install already aware of software RAID (it's entirely possible that I'm just missing it)?  If not, are there plans to add this?  It's inconvenient to install grub manually to the second device after installation, and it's not really practical to install grub manually whenever it's updated.  Thanks.
Comment 1 Joel Andres Granados 2009-10-02 04:36:53 EDT
Grub needs to be installed on one disk only.  The pointed to the places where the OSs live.  You can have various grubs in a system.  In this case its the BIOSs job to choose which one to use.
In any case the installer does not need to be able to install grub in two places.
Comment 2 Andrew McNabb 2009-10-02 14:01:57 EDT
In the case of mirrored RAID, it is extremely important to have grub installed on both disks.  Suppose disk1 and disk2 are mirrored and GRUB is only installed on disk1.  Then if disk1 dies, the system can't boot even though disk2 has all of the system data.

You mentioned that the BIOS chooses which one to use, but the BIOS can't boot disk2 if it doesn't have grub installed.  Is there ever a case where you would have a mirrored system disk but wouldn't want grub to be installed onto both disks?
Comment 3 Hans de Goede 2009-10-02 14:33:43 EDT
Radek is currently working on this, assigning this to him. Radek feel free to dup this if appropriate.
Comment 4 Radek Vykydal 2009-10-06 06:25:49 EDT
I have sent patch that should fix this (install grub into mbrs of both disks) for review.
Comment 5 Radek Vykydal 2009-11-02 09:11:56 EST
This should be fixed in version 13.3 of anaconda.

Note You need to log in before you can comment on or make changes to this bug.